### Hierarchy

- NodeExtensions

### Indexable

[ext: string]: function

- - (m: NodeModule, filename: string): any

  - #### Parameters

    - ##### m: NodeModule

    - ##### filename: string

    #### Returns any

## Index

### Properties

- .js
- .json
- .node

## Properties

### .js

.js: function

- Defined in node_modules/@types/node/globals.d.ts:211

#### Type declaration

- - (m: NodeModule, filename: string): any

  - #### Parameters

    - ##### m: NodeModule

    - ##### filename: string

    #### Returns any

### .json

.json: function

- Defined in node_modules/@types/node/globals.d.ts:212

#### Type declaration

- - (m: NodeModule, filename: string): any

  - #### Parameters

    - ##### m: NodeModule

    - ##### filename: string

    #### Returns any

### .node

.node: function

- Defined in node_modules/@types/node/globals.d.ts:213

#### Type declaration

- - (m: NodeModule, filename: string): any

  - #### Parameters

    - ##### m: NodeModule

    - ##### filename: string

    #### Returns any

Generated using TypeDoc